red team
Create red team remediation links
Requires scopes: red_team:approve
POST
/
api
/
red-team
/
findings
/
{id}
/
remediation-links
Create red team remediation links
curl --request POST \
--url https://evalgate.com/api/red-team/findings/{id}/remediation-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"evidence": {},
"resourceType": "<string>",
"resourceId": "<string>",
"linkType": "playground",
"metadata": {},
"resourceVersionId": "<string>"
}
'import requests
url = "https://evalgate.com/api/red-team/findings/{id}/remediation-links"
payload = {
"evidence": {},
"resourceType": "<string>",
"resourceId": "<string>",
"linkType": "playground",
"metadata": {},
"resourceVersionId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
evidence: {},
resourceType: '<string>',
resourceId: '<string>',
linkType: 'playground',
metadata: {},
resourceVersionId: '<string>'
})
};
fetch('https://evalgate.com/api/red-team/findings/{id}/remediation-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"link": {
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"findingId": "<string>",
"linkType": "<string>",
"resourceType": "<string>",
"resourceId": "<string>",
"resourceVersionId": "<string>",
"evidenceHash": "<string>",
"status": "<string>",
"metadata": {},
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"evidence": {
"resource": {
"type": "<string>",
"id": "<string>",
"versionId": "<string>"
},
"serverEvidence": {
"evaluationId": 123,
"snapshotHash": "<string>",
"reviewDecisionId": null,
"dedupeHash": null,
"inputHash": null,
"lifecycleState": null,
"passedCases": null,
"failedCases": null,
"baselineRunId": null,
"attackSuccessCount": null,
"campaignVersionId": null,
"evaluationRunId": null,
"signingKeyVersion": null
},
"reviewerEvidence": {}
},
"idempotent": true
}{
"link": {
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"findingId": "<string>",
"linkType": "<string>",
"resourceType": "<string>",
"resourceId": "<string>",
"resourceVersionId": "<string>",
"evidenceHash": "<string>",
"status": "<string>",
"metadata": {},
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
},
"evidence": {
"resource": {
"type": "<string>",
"id": "<string>",
"versionId": "<string>"
},
"serverEvidence": {
"evaluationId": 123,
"snapshotHash": "<string>",
"reviewDecisionId": null,
"dedupeHash": null,
"inputHash": null,
"lifecycleState": null,
"passedCases": null,
"failedCases": null,
"baselineRunId": null,
"attackSuccessCount": null,
"campaignVersionId": null,
"evaluationRunId": null,
"signingKeyVersion": null
},
"reviewerEvidence": {}
},
"idempotent": true
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
linkType
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>Option 7 · enum<string>
required
Available options:
playground Show child attributes
Show child attributes
⌘I
Create red team remediation links
